import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, o = (s, l, i, t) => {
  for (var e = t > 1 ? void 0 : t ? u(l, i) : l, c = s.length - 1, p; c >= 0; c--)
    (p = s[c]) && (e = (t ? p(l, i, e) : p(e)) || e);
  return t && e && m(l, i, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--appleCircleFilled", this.class = "c-pieIcon c-pieIcon--appleCircleFilled", this.name = "IconSocialAppleCircleFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--appleCircleFilled"><path d="M8 1.175A6.781 6.781 0 1 0 14.78 8 6.79 6.79 0 0 0 8 1.175m0 4.541a1.67 1.67 0 0 1 1.312-1.409h.158c.032.267-.013.538-.131.779a1.48 1.48 0 0 1-1.06.875c-.34.088-.332.096-.28-.245m3.019 4.034a.5.5 0 0 0 0 .096 4.3 4.3 0 0 1-.954 1.557 1.024 1.024 0 0 1-1.234.175 1.29 1.29 0 0 0-1.312 0c-.193.096-.407.14-.622.132a.88.88 0 0 1-.656-.368 4.54 4.54 0 0 1-1.26-3.167c.005-.328.074-.652.201-.954a1.75 1.75 0 0 1 2.407-.919.93.93 0 0 0 .927 0q.225-.106.464-.175a1.94 1.94 0 0 1 1.155.123c.287.108.528.312.682.577-.105.097-.21.175-.306.272a2 2 0 0 0-.289.323 1.64 1.64 0 0 0 .228 1.917c.15.178.347.311.569.385z"></path></svg>`;
  }
};
o([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
o([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = o([
  h("icon-social-apple-circle-filled")
], r);
export {
  r as IconSocialAppleCircleFilled
};
